Package Details: lua-std-normalize 2.0.2-3

Git Clone URL: https://aur.archlinux.org/lua-std-normalize.git (read-only)
Package Base: lua-std-normalize
Description: Normalized Lua functions
Upstream URL: https://github.com/lua-stdlib/normalize#normalized-lua-functions
Licenses: MIT
Submitter: cafehaine
Maintainer: cafehaine
Last Packager: cafehaine
Votes: 1
Popularity: 0.062852
First Submitted: 2018-10-25 10:03
Last Updated: 2018-10-25 11:12

Dependencies (2)

Required by (1)

Sources (1)

Latest Comments

wookietreiber commented on 2018-10-25 20:02

works, great!

cafehaine commented on 2018-10-25 11:13

@wookietrieber should be finally fixed, sorry for wasting your time

wookietreiber commented on 2018-10-25 10:32

Continuing discussion from lua-posix here. Yes, I have Lua 5.3.5-1. The error message I'm getting is:

/usr/bin/lua: /usr/share/lua/5.3/posix/init.lua:22: module 'std.normalize' not found:
        no field package.preload['std.normalize']
        no file '/usr/share/lua/5.3/std/normalize.lua'
        no file '/usr/share/lua/5.3/std/normalize/init.lua'
        no file '/usr/lib/lua/5.3/std/normalize.lua'
        no file '/usr/lib/lua/5.3/std/normalize/init.lua'
        no file '/usr/lib/lua/5.3/std/normalize.so'
        no file '/usr/lib/lua/5.3/loadall.so'
        no file '/usr/lib/lua/5.3/std.so'
        no file '/usr/lib/lua/5.3/loadall.so'
stack traceback:
        [C]: in function 'require'
        /usr/share/lua/5.3/posix/init.lua:22: in main chunk
        [C]: in function 'require'
        /usr/share/lmod/lmod/libexec/addto:65: in main chunk
        [C]: in ?
/usr/bin/lua: /usr/share/lua/5.3/posix/init.lua:22: module 'std.normalize' not found:
        no field package.preload['std.normalize']
        no file '/usr/share/lua/5.3/std/normalize.lua'
        no file '/usr/share/lua/5.3/std/normalize/init.lua'
        no file '/usr/lib/lua/5.3/std/normalize.lua'
        no file '/usr/lib/lua/5.3/std/normalize/init.lua'
        no file '/usr/lib/lua/5.3/std/normalize.so'
        no file '/usr/lib/lua/5.3/loadall.so'
        no file '/usr/lib/lua/5.3/std.so'
        no file '/usr/lib/lua/5.3/loadall.so'
stack traceback:
        [C]: in function 'require'
        /usr/share/lua/5.3/posix/init.lua:22: in main chunk
        [C]: in function 'require'
        /usr/share/lmod/lmod/libexec/addto:65: in main chunk
        [C]: in ?
/usr/bin/lua: /usr/share/lua/5.3/posix/init.lua:22: module 'std.normalize' not found:
        no field package.preload['std.normalize']
        no file '/usr/share/lua/5.3/std/normalize.lua'
        no file '/usr/share/lua/5.3/std/normalize/init.lua'
        no file '/usr/lib/lua/5.3/std/normalize.lua'
        no file '/usr/lib/lua/5.3/std/normalize/init.lua'
        no file '/usr/lib/lua/5.3/std/normalize.so'
        no file '/usr/lib/lua/5.3/loadall.so'
        no file '/usr/lib/lua/5.3/std.so'
        no file '/usr/lib/lua/5.3/loadall.so'
stack traceback:
        [C]: in function 'require'
        /usr/share/lua/5.3/posix/init.lua:22: in main chunk
        [C]: in function 'require'
        /usr/share/lmod/lmod/libexec/addto:65: in main chunk
        [C]: in ?

I've been using the luke build tool thing in lua-posix. normalize has a Makefile. I guess, you need to use it to build library files.